var GL_BaseConfig =
{
	settings:
	{
		hasHeaders:true,
		constrainDragToContainer: true,
		reorderEnabled: true,
		selectionEnabled: false,
		popoutWholeStack: false,
		blockedPopoutsThrowError: true,
		closePopoutsOnUnload: true,
		showPopoutIcon: false,
		showMaximiseIcon: false,
		showCloseIcon: false
    	},
	content:
	[ {
		type: 'stack',
		id: 'BaseStack',
		content:
		[ {
			type: 'column',
			title: 'Main',
			id: 'MainTab',
			content:
			[ {
				type: 'stack',
				id: 'UsersStack',
			},
			{
				type: 'stack',
				id: 'CallsStack',
			} ],
		},
		{
			type: 'column',
			title: 'Voice Mail',
			id: 'VMTab',
			content:
			[ {
				type: 'stack',
				id: 'NewVMStack',
			},
			{
				type: 'stack',
				id: 'SavedVMStack',
			} ],
		} ]
	} ]
};

var UI_layout;

function GL_init()
{
	UI_layout = new GoldenLayout( GL_BaseConfig, Displays_element );

	UI_layout.registerComponent( 'emptyComponent',
				    function( container, componentState ) {
                container.getElement().html(
	                        '<h2><font face="verdana"size = "3" color="grey">' + componentState.text + '</font></h2>' ); });

	UI_layout.init();

	add_user_display( 'FacetCorp' );
	add_user_display( 'Support' );
	add_call_display( 'FacetCorp' );
	add_new_vm_folder( '_me_' );
	add_new_vm_folder( 'FacetCorp' );
	add_saved_vm_folder( '_me_' );
	add_saved_vm_folder( 'FacetCorp' );
}


function add_user_display( group )
{
	var disp = 
	{
		type: 'component',
		componentName: 'emptyComponent',
		componentState: { text: 'Users display goes here'},
		title: group + " Users"
	};
	UI_layout.root.getItemsById( 'UsersStack' )[0].addChild( disp );
}


function add_call_display( group )
{
	var disp = 
	{
		type: 'component',
		componentName: 'emptyComponent',
		componentState: { text: 'Calls display goes here'},
		title: group + " Calls"
	};
	UI_layout.root.getItemsById( 'CallsStack' )[0].addChild( disp );
}


function add_new_vm_folder( group )
{
	var disp = 
	{
		type: 'component',
		componentName: 'emptyComponent',
		componentState: { text: 'New VM folder goes here'},
		title: group + " New Messages"
	};
	if ( group == '_me_' )
	{
		disp.title = 'My New Messages';
		UI_layout.root.getItemsById( 'NewVMStack' )[0].addChild(disp,0);
		return;
	}
	UI_layout.root.getItemsById( 'NewVMStack' )[0].addChild( disp );
}


function add_saved_vm_folder( group )
{
	var disp = 
	{
		type: 'component',
		componentName: 'emptyComponent',
		componentState: { text: 'Saved VM folder goes here'},
		title: group + " Saved Messages"
	};
	if ( group == '_me_' )
	{
		disp.title = 'My Saved Messages';
		UI_layout.root.getItemsById('SavedVMStack')[0].addChild(disp,0);
		return;
	}
	UI_layout.root.getItemsById( 'SavedVMStack' )[0].addChild( disp );
}

function GL_destroy()
{
	UI_layout.destroy();
}


function login()
{
	GL_init();
}


function logout()
{
	GL_destroy();
}
